-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function onReset()
  electrics.values['sp_updown'] = 0
  electrics.values['sp_updown_input'] = 0
  electrics.values['sp_leftright'] = 0
  electrics.values['sp_leftright_input'] = 0
end

local function updateGFX(dt) -- ms
  electrics.values['sp_updown'] = math.min(1, math.max(-0.0, (electrics.values['sp_updown'] + electrics.values['sp_updown_input'] * dt * 0.25)))
  electrics.values['sp_leftright'] = math.min(1, math.max(-0.0, (electrics.values['sp_leftright'] + electrics.values['sp_leftright_input'] * dt * 0.25)))
end

local function sp_updownPlow(value)
  electrics.values.sp_updown_input = value
end

local function sp_leftrightPlow(value)
  electrics.values.sp_leftright_input = value
end



-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX
M.sp_updownBed = sp_updownBed
M.sp_leftrightBed = sp_leftrightBed
M.sp_leftrightFeet = sp_leftrightFeet

return M
